MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000277SoldatOtherpublic2012-12-05 18:392013-11-17 03:34
Reporterhomerofgods 
Assigned Toskoskav 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.7 
Summary0000277: Freecam only goes smooth one way
DescriptionWhen you are in freecam mode you can move your mouse just a little bit to the right to make it go slowly and smooth to the right.
But the same thing doesn't happen when you try to go smooth to the left.
Instead the camera kinda stops, and when you REALLY takes your mouse to the left it jumpstarts in a higher speed. It's not possible to make it go slow to the left.
Steps To ReproduceJoin a game as spectator
Try to move your mouse to left and right side and see what happens.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000315closed The area on which the freecam is stationary is not centered on 16:9, causes problems 

-  Notes
(0001740)
Bistoufly (updater)
2013-07-07 16:35

I can reproduce easily. Confirmed.
(0001909)
Bistoufly (updater)
2013-09-09 22:18

verified 1.6.6. beta 1
(0001914)
Bistoufly (updater)
2013-09-11 03:02

According to evh0 it's not totally smooth yet.
Reopening.
(0001915)
homerofgods (updater)
2013-09-11 03:08
edited on: 2013-09-11 03:43

You fixed it so that it jumpstarts in both directions instead of making it go slowly and smooth in both directions >.<

I don't understand what's happening though, when I check my 1.6.5 now it kickstarts in both directions, while Bistoufly's 1.6.5 is smooth only when going right..
Using different settings doesn't seam to matter.

(0001936)
homerofgods (updater)
2013-09-17 20:10
edited on: 2013-10-19 13:25

- Modified decreased the freecam movement deadzone so the sudden speed change won't be as abrupt

Seams to be an ok size to that deadzone :)

I should have mentioned it before but when you are in the deadzone it still moves a tiny bit unless you stop the camera completely by pressing 'up'.
It would be better if the camera had 0 movement when cursor is in the deadzone.

(0001990)
homerofgods (updater)
2013-10-19 13:38

Things are certainly better now, but the camera starts to move too suddain when going out of the deadzone
In other words, it's hard to move the camera just a little, without jumpstarting and move it alot.

- Issue History
Date Modified Username Field Change
2012-12-05 18:39 homerofgods New Issue
2012-12-05 21:44 Falcon Status new => acknowledged
2013-07-07 16:35 Bistoufly Note Added: 0001740
2013-07-07 16:35 Bistoufly Status acknowledged => confirmed
2013-07-08 17:58 Bistoufly Relationship added has duplicate 0000315
2013-08-18 21:38 skoskav Status confirmed => resolved
2013-08-18 21:38 skoskav Resolution open => fixed
2013-08-18 21:38 skoskav Assigned To => skoskav
2013-09-09 22:18 Bistoufly Note Added: 0001909
2013-09-09 22:18 Bistoufly Status resolved => closed
2013-09-11 03:02 Bistoufly Note Added: 0001914
2013-09-11 03:02 Bistoufly Status closed => feedback
2013-09-11 03:02 Bistoufly Resolution fixed => reopened
2013-09-11 03:08 homerofgods Note Added: 0001915
2013-09-11 03:08 homerofgods Status feedback => assigned
2013-09-11 03:08 homerofgods Note Edited: 0001915 View Revisions
2013-09-11 03:35 homerofgods Note Edited: 0001915 View Revisions
2013-09-11 03:35 homerofgods Note Edited: 0001915 View Revisions
2013-09-11 03:36 homerofgods Note Edited: 0001915 View Revisions
2013-09-11 03:43 homerofgods Note Edited: 0001915 View Revisions
2013-09-17 20:10 homerofgods Note Added: 0001936
2013-10-19 13:25 homerofgods Note Edited: 0001936 View Revisions
2013-10-19 13:38 homerofgods Note Added: 0001990
2013-11-17 03:34 skoskav Status assigned => resolved
2013-11-17 03:34 skoskav Fixed in Version => 1.6.7
2013-11-17 03:34 skoskav Resolution reopened => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker